#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		opt		/opt
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	maven-bootstrap
Version		:	3.9.6
Release		:	17.0.10.rel%{?dist}
Summary		:	Java project management and project comprehension tool

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://downloads.apache.org/maven

Source0		:	apache-%{sname}-%{version}-bin.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Apache Maven is a software project management and
comprehension tool. Based on the concept of a
project object model (POM), Maven can manage a
project's build, reporting and documentation
from a central piece of information.

This is the binary file, used to bootsrap maven itself
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/profile.d/%{sname}.sh
%{opt}/apache-%{sname}-%{version}/LICENSE
%{opt}/apache-%{sname}-%{version}/NOTICE
%{opt}/apache-%{sname}-%{version}/README.txt
%{opt}/%{sname}
%{opt}/apache-%{sname}-%{version}/bin/*
%{opt}/apache-%{sname}-%{version}/boot/*
%{opt}/apache-%{sname}-%{version}/conf/*
%{opt}/apache-%{sname}-%{version}/lib/*

#=============================================================================
%prep
%setup -q -n apache-%{sname}-%{version}

  
#-----------------------------------------------------------------------------
#building application
%build
#nothing to do

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}
%{__mkdir_p}							\
	%{buildroot}%{opt}					\

pushd %{buildroot}/%{opt}
tar xf %{SOURCE0}
%{__ln_s} apache-%{sname}-%{version} %{sname}
popd

%{__mkdir_p}							\
	%{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/%{sname}.sh << EOT
#! /bin/bash
export M2_HOME=/opt/maven
export PATH=\$PATH:\$M2_HOME/bin
EOT

#-----------------------------------------------------------------------------
%changelog
